# Экзаменационное задание для портфолио 2

Подготовьте демонстрацию работы nginx сервиса в режиме высокой доступности. Согласно схеме, сделайте так, что nginx на studX проксирует:
 - все запросы по адресу `/ha/1/` узлу `gwX` для демонстрации работы сайта в режиме высокой доступности настроенном с помощью модуля `ngx_http_upstream_module`,
 - все запросы по адресу `/ha/2/` узлу `10.160.179.140+X` для демонстрации работы сайта в режиме высокой доступности настроенном с помощью `keepalived`.

```
                 ________
                |        |
                | клиент | (ноутбук)
                |________|
                    |
                  роутер  public IP 193.32.63.170+X:[22,80,443] -> private IP 10.160.179.10+X:[22,80,443] 
                    |
             _______|_______   
            |               |   
            |     studX     |---------------------------+-------------------+
            |_______________|                           |                   | 10.160.179.25/24 в роли virtual IP
                    |                                   | ens18             | ens18
                    | ens18 в vlan499              ___________         ___________     
             _______|_______                      |           |       |           |    
            |               |                     |  nginx 3  |       |  nginx 4  |    
            |      gwX      |                     |___________|       |___________|
            |_______________|                           | ens19 в vlan X    | ens19 в vlan X
                    | ens19 в vlan X                    | 192.168.0.11/24   | 192.168.0.12/24
                    | IP 192.168.0.1/24                 +-------------------+
          +---------+--------+                                                           
          | 192.168.0.2/24   | 192.168.0.3/24                                            
    ___________         ___________                                                      
   |           |       |           |                                                     
   |  nginx 1  |       |  nginx 2  |                                                    
   |___________|       |___________|
```

На узлах ngix1 - nginx4 с помощью таймеров systemd каждую минуту должны происходить перезагрузки в определённый момент времени. 

Схема доступности сайта для узлов nginx1 и nginx2:
| Время | nginx1 | nginx 2|
|-------|--------|--------|
|0-10|True|True|
|10-25||True|
|25-35|True|True|
|35-50|True||
|50-60|True|True|