# Вопросы

1. С какой целью нужно настраивать сервисы в high-available конфигурации?
2. С какой целью нужно настраивать балансировку нагрузки для сервисов?
3. С помощью какого модуля nginx можно настроить резервные узлы и балансировку нагрузки?
4. Опишите принцип обеспечения HA keepalived при отказе одного из двух процессов nginx.
5. Из каких трёх компонентов состоит keepalived?
6. Что такое виртуальный IP адрес?
7. Где можно посмотреть документацию keepalived?
8. Требуется ли прокси-сервер для работы виртуального IP адреса?
9. В каком файле хранится конфигурация keepalived?
10. В каком конфигурационном файле nginx можно прописать блок upstream?
11. В чём назначение sorry_server?
12. Какую задачу позволяет решить Linux Virtual Server? 
13. В чём отличие LVS от VRRP?
14. Что настраивает параметр `virtual_server -> real_server -> CHECKER_TYPE`? 
15. Приведите несколько возможных типов проверок доступности узла LVS.
16. Как связаны команда `ipvsadm` и `keepalived`?
17. Для чего может быть полезен расширенный синтаксис конфигурации `keepalived.conf`?
18. Какие три класса скриптов могут быть сконфигурированы в `keepalived.conf`?
19. По умолчанию от имени какого пользователя будут выполняться скрипты?
20. Какие 4 типа конфигурационных блоков доступны в `keepalived.conf`?
21. Какую задачу решает протокол BFD?
22. Опишите работу алгоритма BFS.
23. Как связаны VRRP приоритеты и состояние BFD инстанса?
24. Что хранится в параметре `bfd_instance -> multiplier`?
25. Чем отличаются активный и пассивный режимы BFD?
26. Для чего нужны параметры `rise` и `fall` в блоке `vrrp_script`?
27. Для чего с практической точки зрения могут понадобиться vrrp группы синхронизации?
28. Какая связь между `vrrp_instance` и сетевым интерфейсом: 1 к 1, многие к 1, 1 ко многим, многие к многим?
29. Как определяется начальное состоянием vrrp инстанса и как оно меняется со временем в зависимости от приоритета?
30. Содержат ли vrrp пакеты оповещения приоритет и идентификатор роутера?
31. Как часто передаются пакеты оповещения?
32. Что происходит, если оба `keepalived vrrp_instance` на разных узлах заявляют в пакетах оповещения об одинаковом приоритете?
33. Каковы последствия появления ситуации split-brain для сервиса высокой доступности `keepalived`?
34. Передаёт ли vrrp инстанс в состоянии BACKUP пакеты оповещения?
35. Для чего нужны параметры: track_process, track_file, track_bfd?
36. В каком блоке можно сконфигурировать маршруты, удаляемые из таблицы маршрутизации при переходе в состояние BACKUP?
37. Можно ли добавить/удалить правила сетевого фильтра при смене состояний: MASTER->BACKUP,BACKUP->MASTER?
38. Можно ли настроить `keepalived` для балансировки трафика?
39. Для чего нужен планировщик LVS?
40. Из чего состоит кворум LVS? Может ли размер кворума меняться во времени?